@REM Copyright 2018, COURSE-IT Ltd.
@REM
@REM This file is part of Xylophone.
@REM
@REM Xylophone is free software: you can redistribute it and/or modify
@REM it under the terms of the GNU General Public License as published by
@REM the Free Software Foundation, either version 3 of the License, or
@REM (at your option) any later version.
@REM
@REM Xylophone is distributed in the hope that it will be useful,
@REM but WITHOUT ANY WARRANTY; without even the implied warranty of
@REM MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@REM GNU General Public License for more details.
@REM
@REM You should have received a copy of the GNU General Public License
@REM along with Xylophone.  If not, see <http://www.gnu.org/licenses/>.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
for %%i in ("%~dp0..") do set "BASEDIR=%%~fi"

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\poi-3.17.jar;"%REPO%"\commons-codec-1.10.jar;"%REPO%"\commons-collections4-4.1.jar;"%REPO%"\poi-ooxml-3.17.jar;"%REPO%"\poi-ooxml-schemas-3.17.jar;"%REPO%"\xmlbeans-2.6.0.jar;"%REPO%"\stax-api-1.0.1.jar;"%REPO%"\curvesapi-1.04.jar;"%REPO%"\fop-2.1.jar;"%REPO%"\xmlgraphics-commons-2.1.jar;"%REPO%"\batik-svg-dom-1.8.jar;"%REPO%"\batik-css-1.8.jar;"%REPO%"\batik-dom-1.8.jar;"%REPO%"\batik-parser-1.8.jar;"%REPO%"\batik-util-1.8.jar;"%REPO%"\xml-apis-1.3.04.jar;"%REPO%"\xml-apis-ext-1.3.04.jar;"%REPO%"\batik-bridge-1.8.jar;"%REPO%"\batik-anim-1.8.jar;"%REPO%"\batik-script-1.8.jar;"%REPO%"\batik-xml-1.8.jar;"%REPO%"\xalan-2.7.0.jar;"%REPO%"\batik-awt-util-1.8.jar;"%REPO%"\batik-gvt-1.8.jar;"%REPO%"\batik-transcoder-1.8.jar;"%REPO%"\batik-svggen-1.8.jar;"%REPO%"\batik-extension-1.8.jar;"%REPO%"\batik-ext-1.8.jar;"%REPO%"\commons-logging-1.0.4.jar;"%REPO%"\commons-io-1.3.1.jar;"%REPO%"\avalon-framework-api-4.3.1.jar;"%REPO%"\avalon-framework-impl-4.3.1.jar;"%REPO%"\xylophone-6.1.38.jar

set ENDORSED_DIR=
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH% -Dapp.name="xylophone" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" ru.curs.xylophone.Main %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
